﻿using System;
using System.IO;
using Wisej.Web;


namespace WisejWebApplication1
{
    public partial class Tool : Page
    {
        public Tool()
        {
            InitializeComponent();
        }

        private async void button1_Click(object sender, EventArgs e)
        {
            try
            {
                var result = await  this.widget1.CallAsync("GetData");

                Console.WriteLine(result);
                textBox1.Text = result;
            }
            catch { Console.WriteLine("Error found in Javascript. -  Results returned was null"); }
        }

        private async void button2_Click(object sender, EventArgs e)
        {
            try
            {
                await this.widget1.CallAsync("ShowHide");

               // Console.WriteLine(result);
                //textBox1.Text = result;
            }
            catch { Console.WriteLine("Error found in Javascript. -  Results returned was null"); }
        }

        private async void button3_Click(object sender, EventArgs e)
        {
            try
            {

                // Read File 

                //Convert to Base64
                byte[]  ofile = File.ReadAllBytes(@"C:\Work_Offline\TestWB_Nancy.xlsx");

                string toB64 = Convert.ToBase64String(ofile);
                await this.widget1.CallAsync("LoadXL", toB64);

                // Console.WriteLine(result);
                //textBox1.Text = result;
            }
            catch { Console.WriteLine("Error found in Javascript. -  Results returned was null"); }
        }

        private async void button4_Click(object sender, EventArgs e)
        {
            await this.widget1.CallAsync("ShowSheet", "Sheet2");
        }

        private async  void btnSheet1_Click(object sender, EventArgs e)
        {
            await this.widget1.CallAsync("ShowSheet", "Sheet1");
        }
    }
}
